# WaitlistPendingChanges

> Changes pending review before they sync to a destination. Read access, waitlists toolset, MCP tool get_waitlist_pending_changes.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `waitlistId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistPendingChanges","variables":{"waitlistId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"0861b8fd0d8d01d49f1a8faddf1da9df7d4964bfac907886f09b0ff973530617"}}}'
```

## Document

```graphql
query WaitlistPendingChanges($waitlistId: UUID!) { __typename waitlistPendingChanges(waitlistId: $waitlistId) { __typename destinations { __typename destinationId listName oldestSince provider updates withdrawals } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-pending-changes
